package nckd.jxccl.sit.hcsi.common.constant;

import kd.hr.hbp.business.servicehelper.HRBaseServiceHelper;

import java.util.HashMap;
import java.util.Map;

public class SitConstant {
    /*社保档案*/
    public static final HRBaseServiceHelper SINSURFILE_HELPER = new HRBaseServiceHelper("hcsi_sinsurfile");
    /*险种基数设置*/
    public static final HRBaseServiceHelper SIBASE_HELPER = new HRBaseServiceHelper("hcsi_sibase");
    /*业务项目*/
    public static final HRBaseServiceHelper BIZITEM_HELPER = new HRBaseServiceHelper("hsbs_bizitem");
    /* 社保核算任务-明细人员 */
    public static final HRBaseServiceHelper CALPERSON_HELPER = new HRBaseServiceHelper("hcsi_calperson");
    /* 险种 */
    public static final HRBaseServiceHelper WELFARETYPE_HELPER = new HRBaseServiceHelper("sitbs_welfaretype");
    /*薪酬年收入统计单*/
    public static final HRBaseServiceHelper SALINCOMEBILL_HELPER = new HRBaseServiceHelper("nckd_salannualincomebill");
    /*查询字段*/
    public static final String SALINCOMEBILL_SELECTFIELDS = "nckd_entryentity.nckd_employee,nckd_entryentity.nckd_month,nckd_entryentity.nckd_totalsalary,nckd_entryentity.nckd_pushstatus";
    /*社保年收入统计单*/
    public static final HRBaseServiceHelper SITINCOMEBILL_HELPER = new HRBaseServiceHelper("nckd_sitannualincomebill");
    /*业务数据提报*/
    public static final HRBaseServiceHelper BIZDATABILL_HELPER = new HRBaseServiceHelper("hpdi_bizdatabill");
    /*业务数据提报-业务数据明细*/
    public static final HRBaseServiceHelper BIZDATABILLENT_HELPER = new HRBaseServiceHelper("hpdi_bizdatabillent");
    /*业务数据模板*/
    public static final HRBaseServiceHelper BIZITEMGROUP_HELPER = new HRBaseServiceHelper("hsbs_bizitemgroup");
    /* 社保期间 */
    public static final HRBaseServiceHelper SINSURPERIOD_HELPER = new HRBaseServiceHelper("sitbs_sinsurperiod");
    /* 参保标准 */
    public static final HRBaseServiceHelper SINSURSTD_HELPER = new HRBaseServiceHelper("sitbs_sinsurstd");
    /* 参保标准维度结果 */
    public static final HRBaseServiceHelper STDDIMRS_HELPER = new HRBaseServiceHelper("sitbs_stddimrs");
    /* 社保员工变动处理单 */
    public static final HRBaseServiceHelper COORDVERIFYBILL_HELPER = new HRBaseServiceHelper("hpdi_empcoordverifbill3");

    public static final Long PAY_BASE_OF_EMPLOYEE_ID = 1010L;
    public static final String PAY_BASE_OF_EMPLOYEE_KEY = "nckd_paybaseofemployee";
    public static final Long PAY_BASE_OF_COMPANY_ID = 1020L;
    public static final String PAY_BASE_OF_COMPANY_KEY = "nckd_paybaseofcompany";
    /*业务数据提报-外单位收入模板编码*/
    public static final String WDWSR_NUMBER = "JT001";
    public static final String SeparatorA = "_A";
    public static final String SeparatorB = "_B";
    public static final Map<Long, String> INSURANCE_PAY_BASE_CONSTANTS = new HashMap<>();

    static {
        INSURANCE_PAY_BASE_CONSTANTS.put(1070L, "nckd_paybasetopofemployee");
        INSURANCE_PAY_BASE_CONSTANTS.put(1080L, "nckd_paybasebottomofemplo");
        INSURANCE_PAY_BASE_CONSTANTS.put(1130L, "nckd_paybasetopofcompany");
        INSURANCE_PAY_BASE_CONSTANTS.put(1140L, "nckd_paybasebottomofcompa");
        INSURANCE_PAY_BASE_CONSTANTS.put(1050L, "nckd_payfixedofemployee");
        INSURANCE_PAY_BASE_CONSTANTS.put(1060L, "nckd_payfixedofcompany");
        INSURANCE_PAY_BASE_CONSTANTS.put(1030L, "nckd_payproportionofemplo");
        INSURANCE_PAY_BASE_CONSTANTS.put(1040L, "nckd_payproportionofcompa");
    }
}
